set -gx PATH /usr/local/opt/coreutils/libexec/gnubin $PATH
set -gx PATH /usr/local/bin $PATH
set -gx EDITOR nvim
set fish_color_valid_path


# Commands to run in interactive sessions can go here
if status is-interactive
    atuin init fish --disable-up-arrow | source

    # >>> conda initialize >>>
    # !! Contents within this block are managed by 'conda init' !!
    if test -f /usr/local/Caskroom/miniconda/base/bin/conda
        eval /usr/local/Caskroom/miniconda/base/bin/conda "shell.fish" hook $argv | source &
    end
    # <<< conda initialize <<<


    # kitty terminal compatibility
    source ~/.config/fish/shell.fish

end


alias b "bat -p --pager=never"
alias l "ls -la"
alias lll "ls -latr"

abbr lsn littlesnitch

function sss
    python3 ~/.config/scripts/ss.py --model gpt-3.5-turbo $argv
end

function ss
    python3 ~/.config/scripts/ss.py $argv
end

function s
    kitty +kitten ssh $argv
end

function icat
    kitty +kitten icat --align=left $argv
end

# The next line updates PATH for the Google Cloud SDK.
if [ -f '/Users/anton/dev/google-cloud-sdk/path.fish.inc' ]; . '/Users/anton/dev/google-cloud-sdk/path.fish.inc'; end
